Organizations
POST
/organizations
Create a new organization for the current user.
Anfrage-Payload
name
string
erforderlich
Organization's display name.
slug
string
erforderlich
Organization's human-readable identifier.
countryCode
string
erforderlich
The country in which the organization operates.
Antwort-Payload
id
string
erforderlich
The organization's ID
name
string
erforderlich
Organization's display name.
slug
string
erforderlich
Human-readable identifier
avatarUrl
string
URL to the organization avatar.
status
string
erforderlich
Current status
Possible values: active, banned
statusReason
string
The reason for the organization's status (if any).
pendingMemberCount
integer
How many members are pending to join the organization
activeMemberCount
integer
erforderlich
How many members are active
owner
string
erforderlich
ID of the user that owns the organization
createdAt
string
erforderlich
When the organization was created
updatedAt
string
When the organization was last updated
managedBy
array of object
List of entities managing the organization
Untergeordnete Attribute anzeigen
managedBy.Type
string
Type of the entity managing the organization
managedBy.ID
string
ID of the entity managing the organization
verified
boolean
Codebeispiel
curl -X POST 'https://api.bird.com/organizations' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}
Get an organization by its ID.
Antwort-Payload
id
string
erforderlich
The organization's ID
name
string
erforderlich
Organization's display name.
slug
string
erforderlich
Human-readable identifier
avatarUrl
string
URL to the organization avatar.
status
string
erforderlich
Current status
Possible values: active, banned
statusReason
string
The reason for the organization's status (if any).
pendingMemberCount
integer
How many members are pending to join the organization
activeMemberCount
integer
erforderlich
How many members are active
owner
string
erforderlich
ID of the user that owns the organization
createdAt
string
erforderlich
When the organization was created
updatedAt
string
When the organization was last updated
managedBy
array of object
List of entities managing the organization
Untergeordnete Attribute anzeigen
managedBy.Type
string
Type of the entity managing the organization
managedBy.ID
string
ID of the entity managing the organization
verified
boolean
Codebeispiel
curl -X GET 'https://api.bird.com/organizations/{organizationId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}
Update an organization's properties.
Anfrage-Payload
name
string
Organization's display name.
avatarUrl
string
The url of the avatar displayed next to the org
status
string
Possible values: banned, active
statusReason
string
The reason for the organization's status
owner
string
The organization's owner's ID
Antwort-Payload
id
string
erforderlich
The organization's ID
name
string
erforderlich
Organization's display name.
slug
string
erforderlich
Human-readable identifier
avatarUrl
string
URL to the organization avatar.
status
string
erforderlich
Current status
Possible values: active, banned
statusReason
string
The reason for the organization's status (if any).
pendingMemberCount
integer
How many members are pending to join the organization
activeMemberCount
integer
erforderlich
How many members are active
owner
string
erforderlich
ID of the user that owns the organization
createdAt
string
erforderlich
When the organization was created
updatedAt
string
When the organization was last updated
managedBy
array of object
List of entities managing the organization
Untergeordnete Attribute anzeigen
managedBy.Type
string
Type of the entity managing the organization
managedBy.ID
string
ID of the entity managing the organization
verified
boolean
Codebeispiel
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'